=== debian/changelog ===
pvpgn (1.8.5-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
      (LP #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 06 May 2022 11:14:36 -0300

pvpgn (1.8.5-3) unstable; urgency=medium

  * Declared Games Team as a Maintainer (Closes: #858690)
  * Updated URL of "pvpgn-support-1.2.tar.gz" (Closes: #908211)
  * Introduced .service file.
  * DH/compat to version 13.
  * Rules-Requires-Root: no.
  * Depends += "lsb-base".
  * Recommends += "wget".
  * Standards-Version: 4.6.0.
  * copyright: updated broken link.
  * copyright-format URL to HTTPS.
  * Updated Homepage.
  * watch: removed broken resources.
  * watch: check GitHub for new releases.
  * VCS URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Sep 2021 11:18:07 +1000

pvpgn (1.8.5-2.1ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Feb 2020 15:02:47 -0300

pvpgn (1.8.5-2.1build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:04:33 +0000

pvpgn (1.8.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Build-Depends to default-libmysqlclient-dev.  (Closes: #850970)
  * Switch Suggests to default-mysql-* | virtual-mysql-*.  (Closes: #848482)
  * Use secure, canonical Vcs-* URLs.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Jan 2017 00:45:35 +0100

pvpgn (1.8.5-2) unstable; urgency=low

  * Added new "autoconf.patch" to fix error in "configure.in".
  * Simplified invocation of dh_autoreconf in subdirectory: replaced
    corresponding overrides with "debian/autoreconf" file.
  * Use autotools-dev to update config.{guess,sub} (Closes: #727494):
    This is one of those rare cases when dh-autoreconf do not update
    config.{sub,guess} so we use autotools-dev in addition to
    dh-autoreconf, see #698765.
  * Removed redundant "autoconf" from Build-Depends, dh-autoreconf already
    depends on it.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Oct 2013 16:32:53 +1100

pvpgn (1.8.5-1) unstable; urgency=low

  * New upstream release [February 2009].
  * Install upstream changelog.
  * Added new watch file, based on watch written by Bart Martens.
    + lintian-override for "debian-watch-file-should-use-sf-redirector".
  * Updated Homepage URL.
  * Corrected capitalisation in short package description.
  * Standards to 3.9.4
  * Source to "3.0 (quilt)" format.
  * Debhelper & compat to version 9.
  * dh-style rules, no longer use cdbs.
  * autotools-dev --> dh-autoreconf.
  * Dropped "libmysqlclient15-dev" alternative from Build-Depends.
  * Dropped worthless upstream docs (i.g. how to build instructions etc.).
  * Build with "--with-sqlite3"; Build-Depends: +libsqlite3-dev.
  * Build with all hardening.
  * Added new patch to enable verbose build.
  * Added new patch with spelling corrections.
  * Moved man pages to "debian/man"; corrected "hyphen-used-as-minus-sign".
  * pvpgn-support-installer:
    + updated support files' archive name + downloader fixes.
    + replaced hard-coded archive name with variable.
    + added new file "ver-ix86-1.mpq" to clean-up.
    + alphabetised list of files to clean.
    + increased verbosity of file copy/remove operations.
  * init.d:
    + init.d-script-does-not-source-init-functions.
    + init.d-script-missing-lsb-description.
    + status support.
    + updated list of files from "pvpgn-support-1.2.tar.gz";
      fixed daemon start.
    + improved message about getting support files.
  * Updated URL to support files archive in README.Debian.
  * Suggests: mysql-server (Closes: #667659).
  * "bnetd.log" moved to "/var/log/pvpgn" (Closes: #578010).
  * Install logrotate config.
  * Fixed ladders directory (Closes: #578012).
  * Corrected paths (dirs should be in "/var/lib/pvpgn",
    not in "/var/lib/pvpgn/files").
  * Unbundle tinycdb:
    + added new patch to link with libcdb.
    + Build-Depends: +libcdb-dev.
    + Recommends: +tinycdb (provides `cdb`).
    - no longer install `bncdb` and its man page (use `cdb` instead).
  * "debian/copyright" to copyright-format-1.0 + audit.
  * Added myself to Uploaders.
  * Added VCS links to new repository at collab-maint.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Oct 2013 05:42:40 +1100

pvpgn (1.8.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat
    - Update deprecated 5 to 8.
  * debian/control
    - (Depends): Update deprecated debhelper 4 to 8.
    - (Homepage): New.
    - (Standards-Version): Update to 3.9.1.
    - pvpgn
      + (Depends): Add ${misc:Depends}.
      + (Suggests): Add mysql-server-5.1 (Closes: #578011).
  * debian/copyright
    - Update layout. Add FSF License preamble.
  * debian/{init.d,pvpgn-support-installer}
    - Fix bashism, patch idea thanks to Prach Pongpanich <prachpub@gmail.com>
      with the exception that use plain echo.
      (Closes: #530166).
    - Clean up extra whitespaces. Move "set -e" and variable definitions
      to the beginning of file. Prefer POSIX $(<command substitution>).
  * debian/postinst
    - Change "sh -e" to safer "set -e".
  * debian/README.Debian
    - Fix spelling typo.
  * d2dbs.8
    - Change d2cs occurrences to d2dbs (Closes: #578013).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 25 Oct 2010 13:50:00 +0300

pvpgn (1.8.1-2) unstable; urgency=low

  * Move the downloaded archive to /var/lib/pvpgn instead of /tmp.(doh)
    - CVE-2008-5370 (closes: #509336)
  * Added LSB data to the init.d script.

 -- Radu Spineanu <radu@debian.org>  Sun, 21 Dec 2008 17:42:01 +0200

pvpgn (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Create data directories during postinst. (closes: #425750)

 -- Radu Spineanu <radu@debian.org>  Sun, 30 Sep 2007 14:47:18 +0300


