=== lua/CMakeLists.txt ===
# copy all files from lua directory

file(GLOB DEPLOY_FILES_AND_DIRS "${PROJECT_SOURCE_DIR}/lua/*")

foreach(ITEM ${DEPLOY_FILES_AND_DIRS})
   IF( IS_DIRECTORY "${ITEM}" )
      LIST( APPEND DIRS_TO_DEPLOY "${ITEM}" )
   ELSE()
	  IF(NOT ${ITEM} MATCHES "CMakeLists.txt")
		LIST( APPEND FILES_TO_DEPLOY "${ITEM}" )
	  ENDIF(NOT ${ITEM} MATCHES "CMakeLists.txt")
   ENDIF()
endforeach()

INSTALL( FILES ${FILES_TO_DEPLOY} DESTINATION ${LOCALSTATEDIR}/lua )
INSTALL( DIRECTORY ${DIRS_TO_DEPLOY} DESTINATION ${LOCALSTATEDIR}/lua )
