=== conf/i18n/CMakeLists.txt ===
# copy all files from directory

file(GLOB DEPLOY_FILES_AND_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/*")

foreach(ITEM ${DEPLOY_FILES_AND_DIRS})
   IF( IS_DIRECTORY "${ITEM}" )
      LIST( APPEND DIRS_TO_DEPLOY "${ITEM}" )
   ELSE()
	  IF(NOT ${ITEM} MATCHES "CMakeLists.txt")
		LIST( APPEND FILES_TO_DEPLOY "${ITEM}" )
	  ENDIF(NOT ${ITEM} MATCHES "CMakeLists.txt")
   ENDIF()
endforeach()

INSTALL( FILES ${FILES_TO_DEPLOY} DESTINATION ${SYSCONFDIR}/i18n )
INSTALL( DIRECTORY ${DIRS_TO_DEPLOY} DESTINATION ${SYSCONFDIR}/i18n )
