=== debian/changelog ===
pvpgn (1.99.7.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with CMake 4 (Closes: #1113669)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 13:20:39 +0200

pvpgn (1.99.7.2.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Butcher-out "-march=native -mtune=native" from build (Closes: #1101051)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 22 Mar 2025 19:21:50 +0100

pvpgn (1.99.7.2.1+dfsg-1) unstable; urgency=medium

  * Team Upload
  * Fix postinst script (Closes: #1034249)
  * Reformat d/control with debputy
  * d/copyright: add short aliases to licenses
  * Rename maintainer scripts for DebHelper 14/15 compatibility

  [Lena Voytek]
  * Fix FTBFS induced by GCC-15 (Closes: #1066953)

  [ Dmitry Smirnov ]
  * New upstream release [July 2018].
  * Build-Depends += "cmake".

 -- Alexandre Detiste <tchet@debian.org>  Sat, 22 Mar 2025 12:57:05 +0100
