=== debian/control ===
Source: pvpgn
Section: contrib/net
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 default-libmysqlclient-dev,
 libcdb-dev,
 libpq-dev,
 libsqlite3-dev,
 zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://pvpgn.pro/
Vcs-Browser: https://salsa.debian.org/games-team/pvpgn
Vcs-Git: https://salsa.debian.org/games-team/pvpgn.git
X-Style: black

Package: pvpgn
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 tinycdb,
 wget,
 ${misc:Recommends},
Conflicts:
 bnetd,
Provides:
 bnetd,
Suggests:
 default-mysql-server | virtual-mysql-server,
 fortune,
Description: gaming server that emulates Battle.net(R)
 The server currently implements most of the same functionality as the
 real Battle.net(R) servers from Blizzard Entertainment.  You can chat,
 play games, use / commands, and things like account passwords, user
 icons, ad banners, and channel operators work too.  It is by no means
 complete, though.
