=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --
            -DCMAKE_VERBOSE_MAKEFILE=ON \
            -DCMAKE_BUILD_TYPE=Release  \
            -DWITH_MYSQL=true \
            -DWITH_SQLITE3=true \
            -DWITH_PGSQL=true \
            -DWITH_LUA=true \
            -DCMAKE_INSTALL_PREFIX=/ \
            -DCMAKE_INSTALL_SYSCONFDIR=/etc \
            -DLOCALSTATE_INSTALL_DIR=/var/lib/pvpgn \
            -G "Unix Makefiles"

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs version-history.txt
