=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
" https://github.com/pvpgn/pvpgn-server/tags \
 .*/archive/refs/tags/v?\.?(\d[\d\.]+(?:-rc\d*)?)\.tar\.gz

## Legacy sourceforge releases through QA lookup http://qa.debian.org/watch/sf.php/pvpgn.berlios
#opts=uversionmangle=s/^(\d+(?:\.\d+)*\.r\d{3})$/0.0.$1/ \
# http://sf.net/pvpgn.berlios \
#  (?:|.*/)pvpgn-(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
